About Store Forum Documentation Contact
Donations:
176$/mo



Post Reply 
Esenthel RTS out of date.
Author Message
Pherael Offline
Member

Post: #1
Esenthel RTS out of date.
As in the topic. I tried to compile Esenthel RTS source but 180 errors appeared.
01-30-2013 09:11 PM
Find all posts by this user Quote this message in a reply
Esenthel Offline
Administrator

Post: #2
RE: Esenthel RTS out of date.
Are you sure ? I did reupload updated package on 28th Jan
01-30-2013 10:00 PM
Find all posts by this user Quote this message in a reply
Pherael Offline
Member

Post: #3
RE: Esenthel RTS out of date.
Meybe I do something wrong, but Inesis compile without a problem. When I tried compile RTS I got a lot of errors, most with rect()
http://img255.imageshack.us/img255/6375/screen2nm.png
01-30-2013 10:36 PM
Find all posts by this user Quote this message in a reply
Esenthel Offline
Administrator

Post: #4
RE: Esenthel RTS out of date.
The files on the server are ok, I checked them.
Try menu option "play/rebuild", if won't help, redownload the sources from Esenthel Store, and again rebuild
01-30-2013 10:56 PM
Find all posts by this user Quote this message in a reply
Pherael Offline
Member

Post: #5
RE: Esenthel RTS out of date.
My bad. I redownload Esenthel 1.0 and now compile without errors.
01-30-2013 11:46 PM
Find all posts by this user Quote this message in a reply
AndrewBGS Offline
Member

Post: #6
RE: Esenthel RTS out of date.
Hi, I'm also having problems with Esenthel RTS. I just get one error however, but twice:

code:
Game::ObjParams op; op.type(true, Game::ObjType.elmID(Game::ObjType("OBJ_FIREBALL")));

error:
error C2664: 'void EE::Game::ObjParams::type(Bool,const EE::Str &)' : cannot convert parameter 2 from 'const EE::UID' to 'const EE::Str &'
1> Reason: cannot convert from 'const EE::UID' to 'const EE::Str'
1> No user-defined-conversion operator available that can perform this conversion, or the operator cannot be called

This is just downloaded resources and code, I cleaned, rebuild and everything, but I can't get past that error. I'm just trying to check things out so I didn't look too deep into it, but maybe someone else has the same problem?
03-12-2013 06:00 PM
Find all posts by this user Quote this message in a reply
Esenthel Offline
Administrator

Post: #7
RE: Esenthel RTS out of date.
Hi,

Didn't you mean Esenthel RPG 2? You've mentioned ERTS.

It looks like you're using old Esenthel SDK version, please use Autoupdate, and then use Rebuild in Visual Studio so it recompiles precompiled header.
03-12-2013 07:16 PM
Find all posts by this user Quote this message in a reply
AndrewBGS Offline
Member

Post: #8
RE: Esenthel RTS out of date.
Yes, I did mean RPG, not sure how I misspelled so bad.

I'll try the auto update idea, thank you very much.

So, I'm sorry for using the wrong thread, but I did the autoupdate, and it worked. The Game however breaks at the loading world part, claiming "Can't open world/land.world".

The folder is there in the Data, as they came in the patch from the site.
Also, the editor can open the world fine, so I'm sure the file isn't corrupt.
Any ideas what might be wrong?
(This post was last modified: 03-12-2013 08:57 PM by AndrewBGS.)
03-12-2013 08:31 PM
Find all posts by this user Quote this message in a reply
Esenthel Offline
Administrator

Post: #9
RE: Esenthel RTS out of date.
Hello,

If you're using Esenthel 1.0 please read installation instructions in the ERPG2 item in the Store, it mentions that you need to rebuild the world in the Editor before starting the game.

But if you have Esenthel 2.0 then I recommend downloading ERPG2 for that version (it was released few days ago) and it's much easier to work with 2.0 than 1.0.
03-19-2013 01:51 PM
Find all posts by this user Quote this message in a reply
Post Reply